Loading...
Searching...
No Matches
osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass1 Class Reference
Inheritance diagram for osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass1:
[legend]
Collaboration diagram for osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass1:
[legend]

## Public Member Functions

| HandlerPass1 (TCollector &collector) noexcept
void | relation (const osmium::Relation &relation)
Public Member Functions inherited from osmium::handler::Handler
void | osm_object (const osmium::OSMObject &) const noexcept
void | node (const osmium::Node &) const noexcept
void | way (const osmium::Way &) const noexcept
void | relation (const osmium::Relation &) const noexcept
void | area (const osmium::Area &) const noexcept
void | changeset (const osmium::Changeset &) const noexcept
void | tag_list (const osmium::TagList &) const noexcept
void | way_node_list (const osmium::WayNodeList &) const noexcept
void | relation_member_list (const osmium::RelationMemberList &) const noexcept
void | outer_ring (const osmium::OuterRing &) const noexcept
void | inner_ring (const osmium::InnerRing &) const noexcept
void | changeset_discussion (const osmium::ChangesetDiscussion &) const noexcept
void | flush () const noexcept

## Private Attributes

TCollector & | m_collector

## Detailed Description

template<typename TCollector, bool TNodes, bool TWays, bool TRelations>
class osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass1

This is the handler class for the first pass of the Collector.

## Constructor & Destructor Documentation

## HandlerPass1()

template<typename TCollector, bool TNodes, bool TWays, bool TRelations>

osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass1::HandlerPass1 | ( | TCollector & | collector | ) |

inlineexplicitnoexcept

## Member Function Documentation

## relation()

template<typename TCollector, bool TNodes, bool TWays, bool TRelations>

void osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass1::relation | ( | const osmium::Relation & | relation | ) |

inline

## Member Data Documentation

## m_collector

template<typename TCollector, bool TNodes, bool TWays, bool TRelations>

TCollector& osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass1::m_collector

private

The documentation for this class was generated from the following file:

- include/osmium/relations/collector.hpp